
// <![CDATA[

function getStylesDialogElements(json2) {
	"use strict";
 let json2b = json2.replace(/---/g, "|");
	let patterns = json2b.split('|');
 let n = patterns.length;  // Anzahl der Elemente

	let s='';
 s += '#wrapperdialog {'+"\n";
 s += ' display: grid;'+"\n";
 s += '	grid-template-columns: auto 1fr;'+"\n";
 s += '	grid-template-rows: ';
  // je nach Anzahl die Reihen definieren
 for (let i=0; i<n; i++) {
 	s +='auto ';
 }
 s +="\n";

 s += '	grid-column-gap:70px;'+"\n";
 s += '	grid-row-gap:10px;'+"\n";
 s += '	background-color:red;'+"\n";
 s += '}'+"\n";
 s += '	'+"\n";
 s += '.fbox1 {'+"\n";
 s += ' margin-right:10px;'+"\n";
 s += '}'+"\n";
 s += '	'+"\n";
 s += '.fbox2 {'+"\n";
 s += ' margin-right:10px;'+"\n";
 s += '}'+"\n";
	return s;
}


function createDialogElements(json1, json2) {
	"use strict";
	//alert(json1);
//	alert(json2);

	let customer = JSON.parse(json1);
   // normales replace ersetzt nur den ersten Fall !!
 let json2b = json2.replace(/---/g, "|");
	let patterns = json2b.split('|');
 let n = patterns.length;  // Anzahl der Elemente

	let s='';
 s+=' <div id="wrapperdialog">'+"\n";

 let captions = Object.keys(customer);
 // dialoge
 let index=1;
 for(var j in customer){
  let str_pat = patterns[index-1]; // hier noch string !!
		//alert(str_pat);
  let pat = JSON.parse(str_pat);
  s+=' <label class="fbox1" for="ui' + index + 'Id">'+pat.caption+'</label>'+"\n";
  if (pat.typ=='number') {
    s+='	<input type="number" class="fbox2" min="'+pat.min+'"  max="'+pat.max+'"  name="' +captions[index-1]+ '" id="ui' +index+ 'Id" value="'+customer[j]+'"  />'+"\n";
  }
  else if (pat.typ=='text') {
  s+='	<input type="text" class="fbox2" name="' +captions[index-1]+ '" id="ui' +index+ 'Id" value="'+customer[j]+'" size="12" />'+"\n";
  }
  else if (pat.typ=='-') {
  s+='	<input type="text" class="fbox2" name="' +captions[index-1]+ '" id="ui' +index+ 'Id" value="'+customer[j]+'" size="12" readonly="readonly" />'+"\n";
  }
  if (pat.typ=='date') {
  s+='	<input type="date" class="fbox2" name="' +captions[index-1]+ '" id="ui' +index+ 'Id" value="'+customer[j]+'" size="12"  />'+"\n";
  }
  index++;
 }
 s+=' </div>'+"\n";  // wrapperDialog
	return s;
}

// ]]>